- name: Install Jenkins using Docker
  hosts: all  # Thay "your_server_group" bằng tên nhóm server của bạn
  become: true  # Sử dụng quyền root

  vars:
    ansible_python_interpreter: /path/to/your/python

  tasks:
    - name: Pull Jenkins Docker image
      docker_image:
        name: jenkins/jenkins:lts
        source: pull

    - name: Run Jenkins Docker container
      docker_container:
        name: jenkins
        image: jenkins/jenkins:lts
        state: started
        ports:
          - "8080:8080"
        volumes:
          - "jenkins_home:/var/jenkins_home"
        restart_policy: always